package com.test.basd.smartjunkcleaner.activity

import android.content.Intent
import android.graphics.Color
import androidx.core.view.isVisible
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.smartjunkcleaner.databinding.ActivityLayoutCleanGuestBinding
import com.test.basd.smartjunkcleaner.helps.BaseActivity

/**
 * 清理功能引导
 */
class CleanGuestActivity : BaseActivity<ActivityLayoutCleanGuestBinding>() {

    override val binding: ActivityLayoutCleanGuestBinding by lazy {
        ActivityLayoutCleanGuestBinding.inflate(layoutInflater)
    }

    override fun initView() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.root.postDelayed({
            binding.idTvSkip.isVisible = true
        }, 3000)
        binding.idTvSkip.setOnClickListener {
            finishToMain()
        }
        binding.idTvClean.setOnClickListener {
            startActivity(Intent(this, PrepareScanActivity::class.java))
            finish()
        }
    }
}